.new-year-top-block {
    position: relative;
    overflow: hidden;
}
.new-year-top-block:before {
    content: "";
    position: absolute;
    bottom: -100px;
    left: -999px;
    right: -999px;
    height: 450px;
    background: #DFE4E7;
    filter: blur(100px);
}
.new-year-top-block__bg {
    position: absolute;
    bottom: 140px;
    left: 0;
    right: 0;
    top: 0;
    z-index: -1;
}
.new-year-top-block__bg img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.new-year-top-block__content {
    padding-top: 50px;
}

.new-year-top-block__banner {
    padding-top: 50px;
}

.new-year-top-block-banner {
    display: flex;
    flex-direction: row;
    align-items: center;
    position: relative;
}

.new-year-top-block-banner__img {
    z-index: 100;
    position: absolute;
    left: -90px;
}

.new-year-top-block-banner__title {
    font-family: 'Gilroy' !important;
    font-weight: 400;
    font-style: normal;
    font-size: 32px;
    line-height: 100%;
    color: #FFFFFF;

    padding: 40px 35px 40px 120px;
    background-color: #417AA8AB;
    border-radius: 20px;
}

.new-year-top-block-banner__link{
    font-family: 'Gilroy' !important;
    font-weight: 400;
    font-style: normal;
    color: #FFFFFF;
    text-decoration: none;
    border-bottom: 2px #FFFFFF solid;

    transition: all ease 0.2s;
}

.new-year-top-block-banner__link:hover, .new-year-top-block-banner__link:focus{
    text-decoration: none;
    color: #4147ff;
    border-bottom-color: #4147ff;
}

.new-year-top-block__title {
    font-family: 'canpol sans' !important;
    font-style: normal;
    font-weight: 900;
    font-size: 130px;
    line-height: 0.9;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    color: #FFFFFF;
    text-align: right;
    margin-bottom: 0;
}

.new-year-top-block__subtitle {
    font-family: 'babayka_font' !important;
    font-style: normal;
    font-weight: 400;
    font-size: 52px;
    line-height: 1.2;
    text-align: right;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    color: #FFFFFF;
}

.new-year-top-block__grid {
    display: grid;
    grid-template-columns: 2fr 1fr;
    width: 100%;
}
.new-year-top-block__act {
    grid-column: 1/3;
    position: relative;
    padding: 50px 48px;
    border-radius: 50px;
    background-color: #86B6D7;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 48px;
}
.new-year-top-block__act:before {
    content: "";
    position: absolute;
    width: 383px;
    height: 165px;
    background-image: url("/local/templates/wishmaster/images/newyear/snow-block.png");
    -webkit-background-size: contain;
    background-size: contain;
    background-repeat: no-repeat;
    top: -56px;
    left: -100px;
}

.new-year-top-block__act-text {
    font-family: 'babayka_font' !important;
    font-style: normal;
    font-weight: 400;
    font-size: 48px;
    line-height: 1.67;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    color: #FFFFFF;
}

.new-year-top-block__act-text span {
    font-family: 'canpol sans' !important;
    font-style: normal;
    font-weight: 900;
    font-size: 48px;
    line-height: 1.4;
    letter-spacing: 0.05em;
}

.new-year-top-block__act-link {
    position: relative;
    background: #CC1518;
    border-radius: 20px;
    text-align: center;
    padding: 29px 60px;
    font-family: 'babayka_font' !important;
    font-style: normal;
    font-weight: 400;
    font-size: 32px;
    line-height: 1;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    color: #fff;
}
.new-year-top-block__act-link:hover,
.new-year-top-block__act-link:active,
.new-year-top-block__act-link:focus {
    color: #fff;
}

.new-year-top-block__act-link:before {
    content: "";
    position: absolute;
    width: 91px;
    height: 90px;
    background-image: url('/local/templates/wishmaster/images/newyear/snow-button.png');
    -webkit-background-size: contain;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    top: -26px;
    right: -12px;
}

.new-year-top-block__wrapper.white-block-wrapper {
    margin-bottom: 0!important;
    display: flex;
    align-items: flex-end;
    height: 100%;
    padding-bottom: 100px;
    padding-top: 100px;
}


.new-year-top-block__img {
    width: 100%;
}

.new-year-top-block__img img {
    width: 600px;
}

@media (max-width: 1920px) {
    .new-year-top-block__title {
        font-size: 100px;
    }
    .new-year-top-block__subtitle {
        font-size: 42px;
    }
    .new-year-top-block__act {
        padding: 42px;
        border-radius: 36px
    }
    .new-year-top-block__act-text {
        font-size: 42px;
    }
    .new-year-top-block__act-link {
        font-size: 28px;
        padding: 24px 48px;
    }
    .new-year-top-block__act-text span {
        font-size: 42px;
    }
    .new-year-top-block__img img {
        width: 540px;
    }
}
@media (max-width: 1650px) {
    .new-year-top-block-banner__img {
        width: 190px;
        left: -70px;
    }

    .new-year-top-block__wrapper.white-block-wrapper {
        padding-bottom: 64px;
        padding-top: 64px;
    }
}
@media (max-width: 1400px)  {
    .new-year-top-block__title {
        font-size: 80px;
    }
    .new-year-top-block__subtitle {
        font-size: 34px;
    }

    .new-year-top-block-banner__img {
        width: 130px;
        left: -60px;
    }

    .new-year-top-block-banner__title {
        font-size: 22px;
        padding: 30px 12px 30px 45px;
    }

    .new-year-top-block__act {
        padding: 36px;
        border-radius: 32px;
    }
    .new-year-top-block__act-text {
        font-size: 32px;
    }
    .new-year-top-block__act-link {
        font-size: 24px;
        padding: 24px 48px;
    }
    .new-year-top-block__act-text span {
        font-size: 36px;
    }
    .new-year-top-block__img img {
        width: 470px;
    }
}
@media (max-width: 1200px) {
    .new-year-top-block__title {
        font-size: 64px;
    }
    .new-year-top-block__subtitle {
        font-size: 24px;
    }
    .new-year-top-block__act {
        padding: 24px;
        border-radius: 20px;
    }
    .new-year-top-block__act-text {
        font-size: 24px;
    }
    .new-year-top-block__act-link {
        font-size: 20px;
        padding: 16px 36px;
        border-radius: 16px;
    }
    .new-year-top-block__act-text span {
        font-size: 24px;
    }
    .new-year-top-block__img img {
        width: 400px;
    }
    .new-year-top-block__wrapper.white-block-wrapper {
        padding-top: 56px;
        padding-bottom: 56px;
    }
    .new-year-top-block:before {
        height: 350px;
        filter: blur(50px);
    }
}
@media (max-width: 991px) {
    .new-year-top-block__title {
        font-size: 48px;
    }
    .new-year-top-block__subtitle {
        font-size: 20px;
    }

    .new-year-top-block-banner {
        justify-content: right;
    }

    .new-year-top-block-banner__img {
        width: 100px;
        left: -20px;
    }

    .new-year-top-block-banner__title {
        font-size: 14px;
        width: calc(100% - 30px);

        padding: 20px 20px 20px 33px;
    }

    .new-year-top-block__act {
        padding: 24px;
        border-radius: 24px
    }
    .new-year-top-block__act-text {
        font-size: 20px;
    }
    .new-year-top-block__act-link {
        font-size: 20px;
        padding: 10px 24px;
        border-radius: 12px;
    }
    .new-year-top-block__act-text span {
        font-size: 20px;
    }
    .new-year-top-block__img img {
        width: 330px;
    }
    .new-year-top-block__wrapper.white-block-wrapper {
        padding-top: 56px;
        padding-bottom: 56px;
    }
    .new-year-top-block:before {
        height: 350px;
        filter: blur(50px);
    }
    .new-year-top-block__act:before {
        top: -39px;
        left: -70px;
        width: 280px;
        height: 121px;
    }
    .new-year-top-block__act-link:before {
        width: 61px;
        height: 60px;
        top: -18px;
        right: -7px;
    }
}
@media (max-width: 767px) {
    .new-year-top-block__title {
        font-size: 36px;
    }
    .new-year-top-block__subtitle {
        font-size: 18px;
    }

    .new-year-top-block-banner__img {
        width: 100px;
        left: -20px;
    }

    .new-year-top-block-banner__title {
        font-size: 12px;

        padding: 10px 20px 10px 39px;
    }

    .new-year-top-block__act {
        flex-direction: column;
        padding: 24px;
        border-radius: 24px
    }
    .new-year-top-block__act-text {
        font-size: 20px;
    }
    .new-year-top-block__act-link {
        position: absolute;
        transform: translateY(50%);
        bottom: 0;
        font-size: 20px;
        padding: 10px 24px;
        border-radius: 12px;
    }
    .new-year-top-block__act-text span {
        font-size: 20px;
    }
    .new-year-top-block__img img {
        width: 260px;
    }
    .new-year-top-block__wrapper.white-block-wrapper {
        padding-top: 48px;
        padding-bottom: 48px;
    }
    .new-year-top-block:before {
        height: 320px;
        filter: blur(30px);
    }
    .new-year-top-block__act:before {
        top: -29px;
        left: -51px;
        width: 210px;
        height: 88px;
    }
    .new-year-top-block__act-link:before {
        width: 46px;
        height: 42px;
        top: -12px;
        right: -7px;
    }
}
@media (max-width: 575px) {
    .new-year-top-block__grid {
        grid-template-columns: 1fr;
    }
    .new-year-top-block__act {
        grid-column: 1/2;
        padding: 20px;
        border-radius: 20px;
        margin-top: 24px;
    }
    .new-year-top-block__title {
        text-align: center;
        font-size: 32px;
    }
    .new-year-top-block__content {
        padding-top: 0;
    }
    .new-year-top-block__subtitle {
        font-size: 16px;
        text-align: center;
    }
    .new-year-top-block__img {
        text-align: center;
    }
    .new-year-top-block__act-link {
        font-size: 14px;
        padding: 11px 24px;
        border-radius: 8px;
    }
    .new-year-top-block__act-text {
        font-size: 14px;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding-bottom: 10px;
    }
    .new-year-top-block__act-text span {
        font-size: 14px;
    }
    .new-year-top-block__act:before {
        top: -22px;
        left: -38px;
        width: 150px;
        height: 66px;
    }
    .new-year-top-block__act:after {
        content: '';
        position: absolute;
        top: -22px;
        right: -38px;
        width: 150px;
        height: 66px;
        transform: revert;
        background-image: url("/local/templates/wishmaster/images/newyear/snow-block-right.png");
        -webkit-background-size: contain;
        background-size: contain;
        background-repeat: no-repeat;

    }
    .new-year-top-block:before {
        height: 270px;
        filter: blur(17px);
    }
    .new-year-top-block__wrapper.white-block-wrapper {
        padding-top: 36px;
    }
    .new-year-top-block__bg:before {
        content: "";
        position: absolute;
        top: -100px;
        left: -999px;
        right: -999px;
        height: 200px;
        background: linear-gradient(175.84deg, #5682A9 3.58%, #5984AB 96.81%);
        filter: blur(25px);
    }
}